menuconfig RGB_ENABLE
    bool "Enable RGB"
    default n
if RGB_ENABLE
    menuconfig RGB_CIRCLE_ENABLE
        bool "Enable RGB Circle"
        default n
        help
            Enable RGB Circle. Default is n.
    if RGB_CIRCLE_ENABLE
        config RGB_CIRCLE_DRV_NAME
            string "RGB Circle Driver Name"
            default "rgb_circle_drv"
            help
                Device name for RGB circle driver. Default is rgb_circle_drv.
        config RGB_CIRCLE_PWM_NAME
            string "RGB Circle PWM Device Name"
            default "pwm4"
            help
                PWM device name for RGB circle driver. Default is pwm4.
        config RGB_CIRCLE_PWM_CH
            int "RGB Circle PWM Channel"
            default 1
            help
                PWM channel for RGB circle driver. Default is 1.
        config RGB_CIRCLE_RGB_NUM
            int "RGB Circle RGB LED Number"
            default 1
            range 1 20
            help
                Number of RGB LED in RGB circle driver. Default is 20.
    endif   
    menuconfig RGB_STRIP_ENABLE
        bool "Enable RGB Strip"
        default n   
        help
            Enable RGB Strip. Default is n.
    if RGB_STRIP_ENABLE
        config RGB_STRIP_DRV_NAME
            string "RGB Strip Driver Name"
            default "rgb_strip_drv"
            help
                Device name for RGB strip driver. Default is rgb_strip_drv.
        config RGB_STRIP_PWM_NAME
            string "RGB Strip PWM Device Name"
            default "pwm5"
            help
                PWM device name for RGB strip driver. Default is pwm5.
        config RGB_STRIP_PWM_CH
            int "RGB Strip PWM Channel"
            default 1
            help
                PWM channel for RGB strip driver. Default is 1.
        config RGB_STRIP_RGB_NUM
            int "RGB Strip RGB LED Number"
            default 1
            range 1 20
            help
                Number of RGB LED in RGB strip driver. Default is 20.
    endif
endif


